package com.ichaoj.ams.constant;

import cn.hutool.core.util.StrUtil;

import java.io.File;

/**
 * @author cjwen
 */
public class AmsConstant {

    /**
     * 地址缓存前缀
     */
    public static final String CACHE_ADDRESS_PREFIX = "ams:address";

    public static final String WALLET_FILE_PATH =
            StrUtil.format("{}home{}ams{}wallet{}", File.separator, File.separator, File.separator, File.separator);

    public enum TaskType {
        /**
         * Bridge
         */
        BRIDGE,
        /**
         * NFT
         */
        NFT,
        /**
         * Swap
         */
        SWAP;

        TaskType() {
        }
    }

    public enum AirdropStatus {
        /**
         * 未开始
         */
        NOT_STARTED,
        /**
         * 运行中
         */
        ONGOING,
        /**
         * 未空投
         */
        NOT_DROPPED,
        /**
         * 已空投
         */
        DROPPED;

        AirdropStatus() {
        }
    }

    public enum TransactionStatus {
        /**
         * 未确认
         */
        UNCONFIRMED,
        /**
         * 交易中
         */
        PENDING,
        /**
         * 失败
         */
        FAILED,
        /**
         * 已确定
         */
        CONFIRMED;

        TransactionStatus() {
        }
    }

    public enum NotifyType {
        /**
         * 系统通知
         */
        SYSTEM,
        /**
         * 个人通知
         */
        PERSON,
        /**
         * 帮助中心
         */
        HELPCENTER,
        /**
         * 版本信息
         */
        VERSIONINFO,
        /**
         * 交易通知
         */
        TRANSACTION
    }

}
